Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028259
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2014-11-24 13:252015-01-05 10:59
ReporterSandrahuguetView Statuspublic 
Assigned ToSandrahuguet 
PriorityurgentResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision780f96d2bc4e
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028259: API Break on Return to Vendor and Return From Customer refactor (try-api 863)

DescriptionBecause of some problems with return to vendor and return from customer pick and edits manual datasources, we've decided to delete this development and implement both pick and edit with hql datasources.

Removed columns, elements, fields, tabs, windows, tables, process definition, and java files related to manual datasources.
More details: https://ci.openbravo.com/job/try-api/863/consoleFull [^]

It is not a risky api-change, we have checked in all Openbravo modules and these manuals datasources are not being used.
Steps To ReproduceN/A
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0071939)
Sandrahuguet (developer)
2014-11-24 15:28

 [checkAPI] 17327 ERROR - +++++++++++++++++++++++++++++++++++++++++++++++++++
 [checkAPI] 17328 ERROR - Errors in API data validation
 [checkAPI] 17329 ERROR - +++++++++++++++++++++++++++++++++++++++++++++++++++
 [checkAPI] 17330 ERROR - Removed row from table AD_AUXILIARINPUT - ID: CDE4158CB7924DA18367CE021C812C60
 [checkAPI] 17331 ERROR - Removed row from table AD_COLUMN - ID: 0D86A808C1584D0C9E9DC4F28556A8FC
 [checkAPI] 17334 ERROR - Removed row from table AD_COLUMN - ID: 0E62D8436B5A4EE19568C9DD46B286F4
 [checkAPI] 17335 ERROR - Removed row from table AD_COLUMN - ID: 141CAEFCE2B740BFADA4D1D817F9369B
 [checkAPI] 17336 ERROR - Removed row from table AD_COLUMN - ID: 186A55DC0F9F4697A5916D454B08F432
 [checkAPI] 17337 ERROR - Removed row from table AD_COLUMN - ID: 192B51F82CCB4094A2B3EB230065CC8B
 [checkAPI] 17338 ERROR - Removed row from table AD_COLUMN - ID: 2047AAA727664EE8B5570FC63982863D
 [checkAPI] 17339 ERROR - Removed row from table AD_COLUMN - ID: 22E476A1B9994CD1BE422D96A1D42E97
 [checkAPI] 17340 ERROR - Removed row from table AD_COLUMN - ID: 274388DB4EE64F359E284C3AF02A3C6A
 [checkAPI] 17341 ERROR - Removed row from table AD_COLUMN - ID: 2B21864E1FA746508E17B4CE7B1FEF95
 [checkAPI] 17341 ERROR - Removed row from table AD_COLUMN - ID: 30A4F4F708BE46E3AF86012521D77E41
 [checkAPI] 17342 ERROR - Removed row from table AD_COLUMN - ID: 33432F18289B4CA98F91548EBF0B98E8
 [checkAPI] 17343 ERROR - Removed row from table AD_COLUMN - ID: 38820DA540974B4DBA6B63A411A73045
 [checkAPI] 17344 ERROR - Removed row from table AD_COLUMN - ID: 3F99A14863984EC0879F6138046E9289
 [checkAPI] 17345 ERROR - Removed row from table AD_COLUMN - ID: 4131DC58A33A43BEAE2C6CFD171E9BB0
 [checkAPI] 17346 ERROR - Removed row from table AD_COLUMN - ID: 495B7B0DF10C4C9DAE64FA8B7E9B1C65
 [checkAPI] 17347 ERROR - Removed row from table AD_COLUMN - ID: 4D3B0AF956214776BC006B575D7520D0
 [checkAPI] 17348 ERROR - Removed row from table AD_COLUMN - ID: 4FD3C299429E4A2FAE2AB8623CDB3749
 [checkAPI] 17349 ERROR - Removed row from table AD_COLUMN - ID: 505834700A264649A6D696C54B7D9A72
 [checkAPI] 17350 ERROR - Removed row from table AD_COLUMN - ID: 5A9D598E44AB40C4B813B2A5E44AFB54
 [checkAPI] 17351 ERROR - Removed row from table AD_COLUMN - ID: 650ED0A080904826BDCC68F7C6A61FE2
 [checkAPI] 17352 ERROR - Removed row from table AD_COLUMN - ID: 65C07FA2FFF74395A6F704ECFA550DC0
 [checkAPI] 17353 ERROR - Removed row from table AD_COLUMN - ID: 6733A938EC2B4CEF9D2BEFDA835481CF
 [checkAPI] 17354 ERROR - Removed row from table AD_COLUMN - ID: 6B4693923F4B4204A2F1FFED70F80941
 [checkAPI] 17354 ERROR - Removed row from table AD_COLUMN - ID: 6D1EEADA080444EA8A66645767AC1532
 [checkAPI] 17355 ERROR - Removed row from table AD_COLUMN - ID: 805A60E4079C441596B5E37575BC9052
 [checkAPI] 17356 ERROR - Removed row from table AD_COLUMN - ID: 8B30807837D149F1837A718BF4205ADD
 [checkAPI] 17357 ERROR - Removed row from table AD_COLUMN - ID: 8BEEF7828FD04740AF564F82E743382E
 [checkAPI] 17358 ERROR - Removed row from table AD_COLUMN - ID: 8C291E8733284747AA6D4DBEBF8B749A
 [checkAPI] 17359 ERROR - Removed row from table AD_COLUMN - ID: 8D609372F5484C098975C89DE1FFDF09
 [checkAPI] 17360 ERROR - Removed row from table AD_COLUMN - ID: 941BB74E89C74ABE84CE9943A9A03F86
 [checkAPI] 17361 ERROR - Removed row from table AD_COLUMN - ID: 952BB5007B6246459CACF9DD49F6689A
 [checkAPI] 17362 ERROR - Removed row from table AD_COLUMN - ID: 95DEE08CB26E4ADEA3BCD3B8486A3CC0
 [checkAPI] 17363 ERROR - Removed row from table AD_COLUMN - ID: 99F21BA4EE9243138DE219330371EA5E
 [checkAPI] 17364 ERROR - Removed row from table AD_COLUMN - ID: 9D4DC80246AD422587679E9EA7AE1A91
 [checkAPI] 17365 ERROR - Removed row from table AD_COLUMN - ID: 9FB30A8B88F74767B6F76E0020545812
 [checkAPI] 17366 ERROR - Removed row from table AD_COLUMN - ID: A1180E0E170C4152BB2FD9610C4E1C76
 [checkAPI] 17367 ERROR - Removed row from table AD_COLUMN - ID: A270EE6113D244A19720FBCE79DC8EB1
 [checkAPI] 17368 ERROR - Removed row from table AD_COLUMN - ID: A3E11BF4DBD44DE7804C177DF3425CAC
 [checkAPI] 17370 ERROR - Removed row from table AD_COLUMN - ID: AD5C0C2D97674529BDE2AD9DB4C9DCCD
 [checkAPI] 17371 ERROR - Removed row from table AD_COLUMN - ID: AEBF095A9305411AB4451F34C34C0FD3
 [checkAPI] 17372 ERROR - Removed row from table AD_COLUMN - ID: B28BF50BAE7A4F5EA5486CFC9E7AC6DF
 [checkAPI] 17373 ERROR - Removed row from table AD_COLUMN - ID: BECD4AF65D0243F2AB03C2FCAFFC6D76
 [checkAPI] 17375 ERROR - Removed row from table AD_COLUMN - ID: C604B7F49A10443AA3C004A55653A580
 [checkAPI] 17376 ERROR - Removed row from table AD_COLUMN - ID: CC6BC98FEDDD4F849855D945987D6F13
 [checkAPI] 17377 ERROR - Removed row from table AD_COLUMN - ID: D1640EC023C544F3940BC051D608AC20
 [checkAPI] 17378 ERROR - Removed row from table AD_COLUMN - ID: D4511FBA74D94EA9B15941308065082D
 [checkAPI] 17379 ERROR - Removed row from table AD_COLUMN - ID: D4E0AB2AEEBD460EB30E18DEFB67D6F4
 [checkAPI] 17379 ERROR - Removed row from table AD_COLUMN - ID: E3157179FC2841668166789F86D81E5F
 [checkAPI] 17380 ERROR - Removed row from table AD_COLUMN - ID: E65DB850F7BE45198B8267D43996DBE9
 [checkAPI] 17381 ERROR - Removed row from table AD_COLUMN - ID: E71596E9F63B439885F15945EFF1AA76
 [checkAPI] 17382 ERROR - Removed row from table AD_COLUMN - ID: F1E0E49E78B1418989ACDF201281AF2D
 [checkAPI] 17383 ERROR - Removed row from table AD_COLUMN - ID: F31D8C301F7545BD90B4E32A203370BF
 [checkAPI] 17384 ERROR - Removed row from table AD_COLUMN - ID: F7221F43C27E474082D93C3E92551A92
 [checkAPI] 17385 ERROR - Removed row from table AD_COLUMN - ID: FDE06EDED4424148B43F3EB51DA900C1
 [checkAPI] 17386 ERROR - Removed row from table AD_ELEMENT - ID: B04AF439C0EBCC90E040007F010032CD
 [checkAPI] 17387 ERROR - Removed row from table AD_ELEMENT - ID: B04AF439C0ECCC90E040007F010032CD
 [checkAPI] 17388 ERROR - Removed row from table AD_FIELD - ID: 05A05505FBF14040A661CE3A51417DAC
 [checkAPI] 17389 ERROR - Removed row from table AD_FIELD - ID: 0623A726C3CB4D2590E29A7A6C50AA8B
 [checkAPI] 17390 ERROR - Removed row from table AD_FIELD - ID: 17F143051941405DA2FFAE292D15BBD5
 [checkAPI] 17391 ERROR - Removed row from table AD_FIELD - ID: 1E74DBCA88224F5FBB5006AE4E5B26E5
 [checkAPI] 17392 ERROR - Removed row from table AD_FIELD - ID: 23DF7984656343DAA7870E9D3EB54BFC
 [checkAPI] 17392 ERROR - Removed row from table AD_FIELD - ID: 2419603A1F834DDC9C6D154EB8058481
 [checkAPI] 17393 ERROR - Removed row from table AD_FIELD - ID: 2845745C1D2F4E33A609A99BDB4FF83D
 [checkAPI] 17394 ERROR - Removed row from table AD_FIELD - ID: 29CD95A133564A3FB1292655EDCFE09F
 [checkAPI] 17395 ERROR - Removed row from table AD_FIELD - ID: 393C7058143E413EBE6F8706E0D9C0A6
 [checkAPI] 17396 ERROR - Removed row from table AD_FIELD - ID: 44C5034B780740DE83AAD80E58426E55
 [checkAPI] 17397 ERROR - Removed row from table AD_FIELD - ID: 4D239397847F4086AF7327EB2F75943C
 [checkAPI] 17398 ERROR - Removed row from table AD_FIELD - ID: 56E6E826663A4B39ABDDBED5AB710E44
 [checkAPI] 17399 ERROR - Removed row from table AD_FIELD - ID: 5E1FB8C5DB73416B8CB8E801F450FE63
 [checkAPI] 17400 ERROR - Removed row from table AD_FIELD - ID: 5EA69FC0621F46F0992E593A6A20AA4C
 [checkAPI] 17400 ERROR - Removed row from table AD_FIELD - ID: 604C51FC739B42A1B81FE73C0C755069
 [checkAPI] 17401 ERROR - Removed row from table AD_FIELD - ID: 684AD58EC4384993822DB921EB3715D2
 [checkAPI] 17402 ERROR - Removed row from table AD_FIELD - ID: 70A9C0EBF5AB4710905DDDC27DE3E2A0
 [checkAPI] 17403 ERROR - Removed row from table AD_FIELD - ID: 70CC3ED861AE450DB654CBCE970C0E07
 [checkAPI] 17404 ERROR - Removed row from table AD_FIELD - ID: 72DC9DCF727E42959B386958E8C1B1DF
 [checkAPI] 17405 ERROR - Removed row from table AD_FIELD - ID: 7A48011171FE40718CE70F4414242D30
 [checkAPI] 17406 ERROR - Removed row from table AD_FIELD - ID: 7BC4221619DA4C29A3ADAB9FFF643B37
 [checkAPI] 17407 ERROR - Removed row from table AD_FIELD - ID: 7C67CB6332894CEB8B46569AB739C23D
 [checkAPI] 17408 ERROR - Removed row from table AD_FIELD - ID: 80C71C99F8FB458F8818AD55BDE7893D
 [checkAPI] 17409 ERROR - Removed row from table AD_FIELD - ID: 8177291FBE234F1E91C5D65E9C69DAF6
 [checkAPI] 17410 ERROR - Removed row from table AD_FIELD - ID: 8184FD15CA314B6194E4419305550DEB
 [checkAPI] 17411 ERROR - Removed row from table AD_FIELD - ID: 83FA7BBE91254382ABAA94E789E2563D
 [checkAPI] 17412 ERROR - Removed row from table AD_FIELD - ID: 87D73A7BE7084CF8A230419654528691
 [checkAPI] 17413 ERROR - Removed row from table AD_FIELD - ID: 905ACA2DE365468DAAC104399E84C48A
 [checkAPI] 17414 ERROR - Removed row from table AD_FIELD - ID: 956502E1507D4FD1B38859BD4E2DEF7A
 [checkAPI] 17415 ERROR - Removed row from table AD_FIELD - ID: C02851AF0CC34B2AB3830D6FD8CCEC1B
 [checkAPI] 17416 ERROR - Removed row from table AD_FIELD - ID: C71ED398FFA14355B4C58D8FA5377C98
 [checkAPI] 17417 ERROR - Removed row from table AD_FIELD - ID: C8C264865C584A6FA3D8148EA4C78A00
 [checkAPI] 17418 ERROR - Removed row from table AD_FIELD - ID: CB7ECA517EC94874B3352690AAEF7235
 [checkAPI] 17419 ERROR - Removed row from table AD_FIELD - ID: CBB50CF588D647D09E62A18365480C2D
 [checkAPI] 17420 ERROR - Removed row from table AD_FIELD - ID: CDABD4A8C9D94693B4F496842DDE6CBE
 [checkAPI] 17421 ERROR - Removed row from table AD_FIELD - ID: CF721327E91745CB97B34538167E95C5
 [checkAPI] 17422 ERROR - Removed row from table AD_FIELD - ID: D57ED60A56FB4152B1063BC53841C7F2
 [checkAPI] 17423 ERROR - Removed row from table AD_FIELD - ID: D80400E12250411A8658596B884820D0
 [checkAPI] 17424 ERROR - Removed row from table AD_FIELD - ID: D815C6B662A54CE48459D66714A2A228
 [checkAPI] 17425 ERROR - Removed row from table AD_FIELD - ID: D884BFA427634E17B4A421633893B63D
 [checkAPI] 17426 ERROR - Removed row from table AD_FIELD - ID: D9FAB9B19E29417CAAAADD023F0D7FE2
 [checkAPI] 17427 ERROR - Removed row from table AD_FIELD - ID: DBA937A208934826B66ADD9C866B108F
 [checkAPI] 17428 ERROR - Removed row from table AD_FIELD - ID: E1B0FAFB78C54E5D831D7FDF1943A54F
 [checkAPI] 17429 ERROR - Removed row from table AD_FIELD - ID: E59AEDB544004A0791330A0DBDA6A8A1
 [checkAPI] 17430 ERROR - Removed row from table AD_FIELD - ID: E820CEE2C97E4AF0808F3D1456BACEA5
 [checkAPI] 17431 ERROR - Removed row from table AD_FIELD - ID: ECBEEB294BBA4BFA9885708048237748
 [checkAPI] 17432 ERROR - Removed row from table AD_FIELD - ID: F252549D43254785B2FC04C0A54804B4
 [checkAPI] 17433 ERROR - Removed row from table AD_REFERENCE - ID: DD936E8C99FC46A09A6FDF03831A210E
 [checkAPI] 17434 ERROR - Removed row from table AD_REFERENCE - ID: DE2C18CCE5D540519E606CBC1A4B336D
 [checkAPI] 17435 ERROR - Removed row from table AD_TAB - ID: CC35784EF36B4732B40167CD5D2449F0
 [checkAPI] 17436 ERROR - Removed row from table AD_TAB - ID: F4204696A73647E2AA9700106C00C7A5
 [checkAPI] 17437 ERROR - Removed row from table AD_TABLE - ID: A9BC62219E644720867F6402B0C25933
 [checkAPI] 17437 ERROR - Removed row from table AD_TABLE - ID: FCB35AE2A9CA48EFAACCB06CCD17BED5
 [checkAPI] 17438 ERROR - Removed row from table AD_WINDOW - ID: 5132D49AE7AF423B954FE68D18FD73F5
 [checkAPI] 17439 ERROR - Removed row from table OBUIAPP_PARAMETER - ID: 5B14DD5B00AD445F93281640C6385BA4
 [checkAPI] 17440 ERROR - Removed row from table OBUIAPP_PARAMETER - ID: DAC023BDC4D2413D9B5F9ECD5411E39D
 [checkAPI] 17441 ERROR - Removed row from table OBUIAPP_PROCESS - ID: 30A4E65B69B14134A78C7B270D3502F7
 [checkAPI] 17442 ERROR - Removed row from table OBUIAPP_PROCESS - ID: C79A2D191BBD48AC8456DBD1AAF89E04
 [checkAPI] 17443 ERROR - Removed row from table OBUIAPP_REF_WINDOW - ID: 0866490047484A12A58A5D09A7157C80
 [checkAPI] 17444 ERROR - Removed row from table OBUIAPP_REF_WINDOW - ID: 9CF8A3690E4443F0A7AC12C4BB68259B



org.openbravo.common.datasource: 26.51% good, 73.48% missing
Missing
class org.openbravo.common.datasource.ReturnFromCustomerPickEditLineDatasource: missing in /srv/ci/workspace/try-full-pgsql/SANDBOX/api-checks/output/java
class org.openbravo.common.datasource.ReturnFromCustomerPickEditLineDatasource.DistinctItem: missing in /srv/ci/workspace/try-full-pgsql/SANDBOX/api-checks/output/java
class org.openbravo.common.datasource.ReturnFromCustomerPickEditLineRow: missing in /srv/ci/workspace/try-full-pgsql/SANDBOX/api-checks/output/java
class org.openbravo.common.datasource.ReturnToVendorPickAndEditDataSource: missing in /srv/ci/workspace/try-full-pgsql/SANDBOX/api-checks/output/java
(0071941)
dmitry_mezentsev (developer)
2014-11-24 15:34

Approved.
(0072101)
hgbot (developer)
2014-11-28 10:59

Repository: erp/devel/api-checks
Changeset: 2377049e1f57b0b31cf9837aad9106dc13611538
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri Nov 28 10:54:14 2014 +0100
URL: http://code.openbravo.com/erp/devel/api-checks/rev/2377049e1f57b0b31cf9837aad9106dc13611538 [^]

Fixed issue 28259 API Break on Return to Vendor and Return From Customer refactor

---
M java/reference/java.japi.gz
M model/src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M model/src-db/database/sourcedata/AD_COLUMN.xml
M model/src-db/database/sourcedata/AD_ELEMENT.xml
M model/src-db/database/sourcedata/AD_FIELD.xml
M model/src-db/database/sourcedata/AD_REFERENCE.xml
M model/src-db/database/sourcedata/AD_TAB.xml
M model/src-db/database/sourcedata/AD_TABLE.xml
M model/src-db/database/sourcedata/AD_WINDOW.xml
M model/src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M model/src-db/database/sourcedata/OBUIAPP_PROCESS.xml
M model/src-db/database/sourcedata/OBUIAPP_REF_WINDOW.xml
---
(0072282)
umartirena (developer)
2014-12-04 12:33

Code Review and Testing OK
(0072879)
hgbot (developer)
2014-12-30 15:28

Repository: erp/devel/api-checks
Changeset: 780f96d2bc4e921301a732f28b4ed529b6720614
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Dec 30 15:27:09 2014 +0100
URL: http://code.openbravo.com/erp/devel/api-checks/rev/780f96d2bc4e921301a732f28b4ed529b6720614 [^]

Fixed issue 28259 API Break on Return to Vendor and Return From Customer refactor

---
M model/src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M model/src-db/database/sourcedata/AD_COLUMN.xml
M model/src-db/database/sourcedata/AD_ELEMENT.xml
M model/src-db/database/sourcedata/AD_FIELD.xml
M model/src-db/database/sourcedata/AD_REFERENCE.xml
M model/src-db/database/sourcedata/AD_TAB.xml
M model/src-db/database/sourcedata/AD_TABLE.xml
M model/src-db/database/sourcedata/AD_WINDOW.xml
M model/src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M model/src-db/database/sourcedata/OBUIAPP_PROCESS.xml
M model/src-db/database/sourcedata/OBUIAPP_REF_WINDOW.xml
---

- Issue History
Date Modified Username Field Change
2014-11-24 13:25 Sandrahuguet New Issue
2014-11-24 13:25 Sandrahuguet Assigned To => dmitry_mezentsev
2014-11-24 13:25 Sandrahuguet Modules => Core
2014-11-24 13:25 Sandrahuguet Triggers an Emergency Pack => No
2014-11-24 15:28 Sandrahuguet Note Added: 0071939
2014-11-24 15:34 dmitry_mezentsev Note Added: 0071941
2014-11-24 15:35 dmitry_mezentsev Assigned To dmitry_mezentsev => Sandrahuguet
2014-11-28 10:59 hgbot Checkin
2014-11-28 10:59 hgbot Note Added: 0072101
2014-11-28 10:59 hgbot Status new => resolved
2014-11-28 10:59 hgbot Resolution open => fixed
2014-11-28 10:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/api-checks/rev/2377049e1f57b0b31cf9837aad9106dc13611538 [^]
2014-12-04 12:33 umartirena Review Assigned To => umartirena
2014-12-04 12:33 umartirena Note Added: 0072282
2014-12-04 12:33 umartirena Status resolved => closed
2014-12-04 12:33 umartirena Fixed in Version => pi
2014-12-30 15:28 hgbot Checkin
2014-12-30 15:28 hgbot Note Added: 0072879
2014-12-30 15:28 hgbot Status closed => resolved
2014-12-30 15:28 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/api-checks/rev/2377049e1f57b0b31cf9837aad9106dc13611538 [^] => http://code.openbravo.com/erp/devel/api-checks/rev/780f96d2bc4e921301a732f28b4ed529b6720614 [^]
2015-01-05 10:59 umartirena Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker